program cgiproject1;

{$mode objfpc}{$H+}

uses
  HTTPDefs,
  CustWeb,
  CustCGI;

type

  { TMyCGIHandler }

  TMyCGIHandler = class(TCGIHandler)
  public
    procedure HandleRequest(AReq: TRequest; ARes: TResponse); override;
  end;

  TMyCGIApp = class(TCustomCGIApplication)
  protected
    function InitializeWebHandler: TWebHandler; override;
  end;

  procedure TMyCGIHandler.HandleRequest(AReq: TRequest; ARes: TResponse);
  begin
    ARes.Content := AReq.Method;
  end;

  function TMyCGIApp.InitializeWebHandler: TWebHandler;
  begin
    Result := TMyCGIHandler.Create(self);
  end;

begin
  with TMyCGIApp.Create(nil) do
    try
      Initialize;
      Run;
    finally
      Free;
    end;
end.

